# setup.py

import sys, shutil, os
from os.path import join
from setuptools import setup
from distutils.command.install_scripts import install_scripts

class PyRPInstall(install_scripts):
    def run(self):
        super().run()
        try:
            if sys.platform == 'win32' and sys.argv[1] != '-remove':
                print('Installing .pyw files for Windows')
                print(self.get_outputs())
                for script in self.get_outputs():
                    if script.endswith('RPWin.py'):
                        shutil.move(script, script + 'w')
        except Exception as error:
            print('PyRPInstall error: ', error)

setup(
    name='PyRP',
    version='0.2',
    author='José Carlos Díaz Ramos',
    author_email='josecarlos.diaz@usc.es',
    url='http://xtsunxet.usc.es/carlos/software/RP_en.html',
    scripts=['scripts-3.4/RPWin.py'],
    packages=['PyRP', 'PyRP.tk', 'PyRP.win'],
    package_data={
        'PyRP': [
            join('win', 'about.txt'),
            join('win', 'help.txt'),
            join('win', 'rp.ico')]},
    cmdclass={'install_scripts': PyRPInstall},
    description='A package to calculate the ARPO family of tie-breaking methods.',
    classifiers=[
        'Development Status :: 4 - Beta',
        'License :: OSI Approved :: MIT License',
        'Programming Language :: Python :: 3.4'],
    keywords='ARPO, Recursive performance, tie-break')
